.ratingModel {
    position: fixed;
    display: flex;
    flex-direction: column;
    border: 1px solid #ccc;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.1);
    padding: 20px;
    background-color: #141414;
    z-index: 100;
    min-width: 300px;
    transition: transform .4s, opacity 0.3s;
    opacity: 0;
    pointer-events: none;
    border-radius: 10px;
}

.ratingModel.show {
    transform: translate(-50%, -50%) scale(1);
    opacity: 1;
    pointer-events: auto;
    z-index: 100;
    box-shadow: 0 0 5px rgb(189, 189, 189);
    padding: 20px;
    border-radius: 10px;
}

.review_stars {
    display: flex;
    justify-content: left;
}

.newReviewForm {
    padding-left: 0;
    margin-bottom: 1em;
    border: none;
    outline: none;
    background-color: transparent;
}

.newReviewFormDiv {
    display: flex;
    justify-content: left;
    width: 100%;
}


.newReviewForm {
    padding-right: 0;
    margin-bottom: 30px;
    margin-top: 15px;
    border-bottom: 1px solid black;
}

.newReviewForm:hover {
    color: rgb(78, 78, 78);
    border-bottom: 1px solid rgb(78, 78, 78);
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 99;
}

.topSection {
    background-color: #ffffffd9;
    padding: 5px 0 5px 2px;
    border-bottom: 1px solid #bebebe;
    box-shadow:  0 0 3px rgb(255, 255, 255);
    align-items: center;
    padding: 8px 6px 2px 6px;
    border-radius: 5px;
}

.modelWindowXAndRate {
    display: grid;
    grid-template-columns: 9fr 1fr;
}


.rateStars {
    color: rgb(56, 56, 56);
    font-weight: bold;

}

.rateStarsDiv {
    display: flex;
    justify-content: left;
}


.exitButton {
    display: flex;
    margin-top: 9px;
    margin-right: .5em;
    justify-content: right;
    font-weight: bold;
    width: 1.2em;
    height: 1.2em;
    color: black;
}

.exitButton:hover {
    cursor: pointer;
    color: rgb(149, 149, 253);
    scale: .95;
}
.exitButtonDiv {
    display: flex;
    justify-content: right;
}

.starIcon {
    width: 25px;
    height: 25px;
    display: inline-block;
    font-size: 1.4em;
    margin-bottom: 1em;
}

.starIcon1 {
    width: 25px;
    height: 25px;
    display: inline-block;
    font-size: 1.4em;
    margin-bottom: 1em;
    margin-top: 1em;
}


.ratingContent {
    padding: 15px, 20px 0 20px;
}


.ratingDesc {
    width: 100%;
    min-height: 25px;
    padding: 10px;
    box-shadow:  0 0 5px rgb(255, 255, 255);
    border-radius: 4px;
    margin-bottom: 20px;
    background-color: rgb(223, 223, 223);
}


.ratingDescDiv {
    display: flex;
    justify-content: center;

}

.submitRating {
    color: #000000;
    border: 1px solid black;
    box-shadow:  0 0 2px rgb(255, 255, 255);
    padding: 5px 16px;
    margin-bottom: 0;
    background-color: rgb(192, 192, 192);
    font-size: 1em;
    overflow: hidden;
    border-radius: 5px;
    white-space: nowrap;
}

.submitRating:hover {
    cursor: pointer;
    scale: 1.03;
    border: 1px solid rgb(149, 149, 253);
}

.submitRating:focus,
.submitRating:active {
    border: 1px solid rgb(149, 149, 253);
    scale: .95;
}

.submitRatingDiv {
    display: flex;
    justify-content: center;
    margin-bottom: 0;

}
